; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
add:
; --- Fix scavenge spawn positions when using thesaccing addon, as the spawn points use the L4D1 survivor names but the addon spawns L4D2 survivors
{
	"classname" "info_survivor_position"
	"origin" "-3209.14 269.716 2.08984"
	"angles" "0 195 0"
	"targetname" "scavenge_position4"
	"SurvivorName" "Ellis"
	"Order" "1"
	"GameMode" "scavenge"
}
{
	"classname" "info_survivor_position"
	"origin" "-3139 280.356 2.08984"
	"angles" "0 180 0"
	"targetname" "scavenge_position2"
	"SurvivorName" "Nick"
	"Order" "1"
	"GameMode" "scavenge"
}
{
	"classname" "info_survivor_position"
	"origin" "-3147 328.356 2.08984"
	"angles" "0 180 0"
	"targetname" "scavenge_position1"
	"SurvivorName" "Coach"
	"Order" "1"
	"GameMode" "scavenge"
}
{
	"classname" "info_survivor_position"
	"origin" "-3196.86 354.997 4.08984"
	"angles" "0 195 0"
	"targetname" "scavenge_position3"
	"SurvivorName" "Rochelle"
	"Order" "1"
	"GameMode" "scavenge"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
modify:
; --- Make the guns in the small building by the lake after the brick factory always spawn
{
	match:
	{
		"hammerid" "147983"
	}
	replace:
	{
		"spawn_without_director" "1"
		"spawnflags" "2"
	}
}
{
	match:
	{
		"hammerid" "147981"
	}
	replace:
	{
		"spawn_without_director" "1"
		"spawnflags" "2"
	}
}
{
	match:
	{
		"hammerid" "147979"
	}
	replace:
	{
		"spawn_without_director" "1"
		"spawnflags" "2"
	}
}
filter:
; --- Remove a useless pill spawn at the end of the map
{
	"hammerid" "662060"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Make a car in the fueling area unhittable
filter:
{
	"targetname" "car03"
}
{
	"parentname" "car03"
}
add:
{
	"classname" "prop_dynamic"
	"origin" "4256 1776 129"
	"angles" "0 150 0"
	"model" "models/props_vehicles/cara_84sedan.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "4256 1776 129"
	"angles" "0 150 0"
	"model" "models/props_vehicles/cara_84sedan_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
; --- Block survivor access to barge until going through the conveyor belt
add:
{
	"classname" "env_physics_blocker"
	"origin" "-5622 -281 67"
	"angles" "0 -175 0"
	"mins" "-645 -4 -133"
	"maxs" "645 4 133"
	"boxmins" "-645 -4 -133"
	"boxmaxs" "645 4 133"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "barge_exploit_blocker"
}
; --- Trigger to remove blocker
{
	"classname" "logic_auto"
	"OnMapSpawn" "barge_exploit_trigger,AddOutput,mins -56 -10 -75,0,-1"
	"OnMapSpawn" "barge_exploit_trigger,AddOutput,maxs 56 10 75,0,-1"
	"OnMapSpawn" "barge_exploit_trigger,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_once"
	"origin" "-5193 -141 424"
	"targetname" "barge_exploit_trigger"
	"filtername" "filter_survivor"
	"spawnflags" "1"
	"OnTrigger" "barge_exploit_blocker,Kill,,1,1"
}
; --- Block infected from sitting in the end saferoom to stop the round from ending
{
	"classname" "env_physics_blocker"
	"origin" "-11152 3120 336"
	"mins" "-128 -96 -32"
	"maxs" "128 96 32"
	"initialstate" "1"
	"BlockType" "2"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Add missing glass to vehicles
{
	"classname" "prop_dynamic"
	"origin" "7525.16 2209.41 165.906"
	"angles" "20.3906 217.705 171.782"
	"model" "models/props_vehicles/cara_95sedan_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "car43"
}
{
	"classname" "prop_dynamic"
	"origin" "765.795 1996 -75.7"
	"angles" "-1.08923 10.8918 13.1158"
	"model" "models/props_vehicles/cara_95sedan_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "car44"
}
{
	"classname" "prop_dynamic"
	"origin" "-10090.6 2016.63 187.531"
	"angles" "2.02148 215.42 -177.891"
	"model" "models/props_vehicles/cara_95sedan_wrecked_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "car05"
}
; --- Clipping on fallen lamp post before open water section to stop players from getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "2365 1641 136"
	"mins" "-71 -29 -5"
	"maxs" "71 29 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2312 1648 144"
	"mins" "-16.5 -13.5 -4.5"
	"maxs" "16.5 13.5 4.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2530 1799 140"
	"angles" "0 53.5001 0"
	"mins" "-193.5 -8 -5"
	"maxs" "193.5 8 5"
	"boxmins" "-193.5 -8 -5"
	"boxmaxs" "193.5 8 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2530 1799 134"
	"angles" "0 53.5001 0"
	"mins" "-194.5 -11 -3"
	"maxs" "194.5 11 3"
	"boxmins" "-194.5 -11 -3"
	"boxmaxs" "194.5 11 3"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2643 1952 143"
	"angles" "0 53.5001 0"
	"mins" "-2.5 -10 -5.5"
	"maxs" "2.5 10 5.5"
	"boxmins" "-2.5 -10 -5.5"
	"boxmaxs" "2.5 10 5.5"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Tree by the first silo
{
	"classname" "prop_dynamic"
	"origin" "7497 215 254"
	"angles" "0 0 0"
	"model" "models/props_foliage/urban_tree_giant01_a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Pipes in the water after the saferoom
{
	"classname" "prop_dynamic"
	"origin" "7836 1508 39"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "7516 1508 78"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_512_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "7132 1508 78"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "7804 1494 4"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "7484 1494 43"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_512_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "7100 1494 43"
	"angles" "0 180 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pond_pipe_lighting"
}
{
	"classname" "logic_auto"
	"OnMapSpawn" "pond_pipe_brush,AddOutput,mins -402 -0.1 -31,0,-1"
	"OnMapSpawn" "pond_pipe_brush,AddOutput,maxs 402 0.1 31,0,-1"
	"OnMapSpawn" "pond_pipe_brush,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "7435 1506 40"
	"targetname" "pond_pipe_brush"
}
{
	"classname" "info_target"
	"origin" "7449 1507 83"
	"targetname" "pond_pipe_lighting"
}
; --- Infected ladder on the pipes
{
	"classname" "func_simpleladder"
	"origin" "-360 1206 -156"
	"angles" "0 0 0"
	"model" "*236"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Extra pole clusters by the sunken fishing boat
{
	"classname" "prop_dynamic"
	"origin" "186 310 34"
	"angles" "0 181.5 0"
	"model" "models/props_docks/dock01_polecluster01d_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "180 706 36"
	"angles" "5.99794 181.508 0.157638"
	"model" "models/props_docks/dock01_polecluster01d_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "142 1562 36"
	"angles" "0 0 0"
	"model" "models/props_docks/dock01_polecluster01d_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "141 1863 34"
	"angles" "0 180 0"
	"model" "models/props_docks/dock01_polecluster01d_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Rock by the sunken barge
{
	"classname" "prop_dynamic"
	"origin" "190 354 -93.832"
	"angles" "0 0 5"
	"model" "models/lostcoast/props_wasteland/rock_coast01c.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "176 337 592"
	"mins" "-34 -23 -668"
	"maxs" "34 23 668"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Rock in the open area on the right side by the sunken fishing boat
{
	"classname" "prop_dynamic"
	"origin" "405.28 2155.36 -94.49"
	"angles" "-4.89735 165.121 -2.83357"
	"model" "models/lostcoast/props_wasteland/rock_coast01b.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Large rock in the water by the sunken fishing boat
{
	"classname" "prop_dynamic"
	"origin" "780 108 -57"
	"angles" "0 260 0"
	"model" "models/props_foliage/rock_coast02f.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Extra pipes by the sunken fishing boat
{
	"classname" "prop_dynamic"
	"origin" "1556 -304 142.973"
	"angles" "90 179 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1517.01 -303.319 -44.0267"
	"angles" "90 179 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1556 -400 142.973"
	"angles" "90 179 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1517.01 -399.319 -44.0267"
	"angles" "90 179 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "515 2529 154.97"
	"angles" "90 269 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pipes_right_side_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "514.32 2490.01 -32.03"
	"angles" "90 269 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pipes_right_side_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "611 2529 154.97"
	"angles" "90 269 0"
	"model" "models/props_pipes/pipeset32d_corner128d_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pipes_right_side_lighting"
}
{
	"classname" "prop_dynamic"
	"origin" "610.32 2490.01 -32.03"
	"angles" "90 269 0"
	"model" "models/props_pipes/pipeset32d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "pipes_right_side_lighting"
}
{
	"classname" "info_target"
	"origin" "560 2485 81"
	"targetname" "pipes_right_side_lighting"
}
; --- Boat next to the freighter
{
	"classname" "prop_dynamic"
	"origin" "-5892 -1337 156"
	"angles" "0 100 0"
	"model" "models/props_vehicles/boat_fishing02_static.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-5764 -1147 116"
	"angles" "0 275 -180"
	"model" "models/props_unique/metalladderbarge.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "-9860.73 -1294 -108.62"
	"angles" "0 180 0"
	"model" "*30"
	"normal.x" "0.087152"
	"normal.y" "-0.996195"
	"normal.z" "0.00"
	"team" "0"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
filter:
; --- Remove Valve's added blockers by the barge and on the cement truck
{
	"targetname" "boat_blocker"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
filter:
; --- Remove slow movement trigger in water after barge that Valve forgot to remove from the L4D2 port
{
	"hammerid" "2536834"
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladder to reach the platform for the first silo from the left
{
	"classname" "func_simpleladder"
	"origin" "8512 7359 0"
	"angles" "0 270 0"
	"model" "*236"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on the hut by the pond
{
	"classname" "func_simpleladder"
	"origin" "5937 -422 -128"
	"angles" "0 0 0"
	"model" "*17"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on the truck on the bridge before the car shop
{
	"classname" "func_simpleladder"
	"origin" "12903.11 4242.82 334.93"
	"angles" "0 186.5 0"
	"model" "*55"
	"normal.x" "-1.00"
	"normal.y" "-0.11"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb on top of the sunken boat in the open water area
{
	"classname" "func_simpleladder"
	"origin" "548.83 3927.99 442.87"
	"angles" "6 -105 -22"
	"model" "*213"
	"normal.x" "0.25"
	"normal.y" "0.96"
	"normal.z" "0.10"
	"team" "2"
}
{
	"classname" "env_physics_blocker"
	"origin" "800 1108 51"
	"angles" "-27.2584 164.511 -6.97386"
	"mins" "-28 -12 -120"
	"maxs" "28 12 120"
	"boxmins" "-28 -12 -120"
	"boxmaxs" "28 12 120"
	"initialstate" "1"
	"BlockType" "2"
}
; --- Infected ladders to climb to climb up the barge by the sunken fishing boat
{
	"classname" "func_simpleladder"
	"origin" "427 -1092 -115"
	"angles" "0 0 0"
	"model" "*99"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "431 -447 -78"
	"angles" "0 0 0"
	"model" "*99"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladders to climb up from inside the barge
{
	"classname" "func_simpleladder"
	"origin" "-7399.55 -3104.7 -271"
	"angles" "0 5 0"
	"model" "*17"
	"normal.x" "-0.08"
	"normal.y" "0.99"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-5501 -947 67"
	"angles" "0 185 0"
	"model" "models/props_rooftop/gutter_pipe_128.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "-4166.44 1662.7 -271"
	"angles" "0 185 0"
	"model" "*17"
	"normal.x" "0.08"
	"normal.y" "-0.99"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-6066 -494 67"
	"angles" "0 5 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "func_simpleladder"
	"origin" "-8680.55 -3215.7 -271"
	"angles" "0 5 0"
	"model" "*17"
	"normal.x" "-0.08"
	"normal.y" "0.99"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "prop_dynamic"
	"origin" "-6782 -1059 67"
	"angles" "0 185 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Infected ladder to climb up a building opposite the freighter
{
	"classname" "func_simpleladder"
	"origin" "-8209 -6140 41"
	"angles" "0 270 0"
	"model" "*31"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the higher part of a roof by the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "-11129 -8885 306"
	"angles" "0 270 0"
	"model" "*34"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==              SAFEROOM ONE WAY DROP              ==
; ==          Prevent easy AI tank runbacks          ==
; =====================================================
add:
; --- Brick pallets for the one way drop
{
	"classname" "prop_dynamic"
	"origin" "10499 512 126"
	"angles" "0 0 0"
	"model" "models/props_industrial/kiln_cart.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10499 512 126"
	"angles" "0 0 0"
	"model" "models/props_industrial/kiln_cart_bricks.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10369 512 126"
	"angles" "0 0 0"
	"model" "models/props_industrial/kiln_cart.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10369 512 126"
	"angles" "0 0 0"
	"model" "models/props_industrial/kiln_cart_bricks.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10531.4 590.636 144.23"
	"angles" "0.170343 -0.0382243 0.166733"
	"model" "models/props_industrial/brickpallets_break01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10490.3 594.69 144.412"
	"angles" "0.0510122 -3.30978 359.797"
	"model" "models/props_industrial/brickpallets_break04.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10448.7 595.972 145.984"
	"angles" "5.645 7.5328 0.576767"
	"model" "models/props_industrial/brickpallets_break03.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10407.8 591.315 149.802"
	"angles" "5.45881 6.65154 0.638458"
	"model" "models/props_industrial/brickpallets_break02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "10723 668 129"
	"angles" "0 150 0"
	"model" "models/props_equipment/cargo_container01_fixed.mdl"
	"solid" "6"
	"disableshadows" "1"
	"rendercolor" "106 64 64"
}
{
	"classname" "env_physics_blocker"
	"origin" "10434 489 169"
	"mins" "-127 -39 -41"
	"maxs" "127 39 41"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block jumping to unintended places from the drop props
; --- Bricks
{
	"classname" "env_physics_blocker"
	"origin" "10305.5 639.5 769"
	"mins" "-64.5 -64.5 -511"
	"maxs" "63.7 64.5 511"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10273.5 543 769"
	"mins" "-32.5 -32 -511"
	"maxs" "32.5 32 511"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10178 479 769"
	"mins" "-64 -32 -511"
	"maxs" "64 32 511"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Windows
{
	"classname" "env_physics_blocker"
	"origin" "10888 760 400"
	"mins" "-8 -632 -64"
	"maxs" "8 632 64"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Truck
{
	"classname" "env_physics_blocker"
	"origin" "10684 978 776"
	"mins" "-8 -42 -504"
	"maxs" "8 42 504"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10654 972 776"
	"mins" "-22 -52 -504"
	"maxs" "22 52 504"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10610 982 776"
	"mins" "-22 -54 -504"
	"maxs" "22 54 504"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "10579 975 776"
	"mins" "-9 -37 -504"
	"maxs" "9 37 504"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Remove the alarm car
modify:
{
	match:
	{
		"targetname" "car_alarm_spawner_versus"
	}
	delete:
	{
		"OnRandom01" "car_alarm_01ForceSpawn0-1"
		"OnRandom01" "car_alarm_fake02ForceSpawn0-1"
		"OnRandom01" "car_alarm_fake03ForceSpawn0-1"
		"OnRandom01" "car_alarm_fake04ForceSpawn0-1"
		"OnRandom01" "car_alarm_fake05ForceSpawn0-1"
	}
}
; --- Move the regular car to another spot
{
	match:
	{
		"targetname" "car31"
	}
	replace:
	{
		"origin" "9943 1048 130"
		"angles" "0 336.5 0"
	}
}
{
	match:
	{
		"targetname" "car31_glass"
	}
	replace:
	{
		"origin" "9943 1048 130"
		"angles" "0 336.5 0"
	}
}